Remove Signal Agent Trigger
curl --request DELETE \
--url https://api.lemlist.com/api/campaigns/{campaignId}/triggers/watch-lists/{watchListId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/campaigns/{campaignId}/triggers/watch-lists/{watchListId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/campaigns/{campaignId}/triggers/watch-lists/{watchListId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/campaigns/{campaignId}/triggers/watch-lists/{watchListId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/campaigns/{campaignId}/triggers/watch-lists/{watchListId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"watchListIds": [
"wat_ExAmPlE2Gc5Nb8Ys4"
],
"importFromExistingSignals": false,
"deduplicate": true,
"duplicateProcessingType": "manual"
}
}
Campaigns
Remove Signal Agent Trigger
Detaches a Signal Agent from a campaign’s signal triggers.
DELETE
/
campaigns
/
{campaignId}
/
triggers
/
watch-lists
/
{watchListId}
Remove Signal Agent Trigger
This endpoint is in beta: it requires the
campaignSignalTrigger beta on your team (403 BETA_NOT_ENABLED otherwise).manual signal processing only when no other
campaign still uses it as a trigger.
The response lists the agents still linked in watchListIds. When the
campaign never had a signal trigger, the response body is {}.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The unique identifier of the campaign
Id of the Signal Agent (wat_xxx) to detach
Response
The Signal Agent is detached. data is the campaign's signal-trigger configuration without that agent in watchListIds. When the campaign never had a signal trigger, the body is {}.
Show child attributes
Show child attributes
Was this page helpful?